<template>
  <div v-if="projekt" class="page projekte-slug">
    <section class="position-relative module module-intro">
      <breadcrumbs :title="title" />
      <div class="container">
        <div class="row">
          <div class="col-12 col-lg-4 offset-lg-1 text-center order-lg-2">
            <atom-image
              v-if="featuredImage"
              :image="featuredImage.node"
              class="featured-image"
              ratio="1x1"
            />
            <a
              v-for="download in projekt.downloads"
              :key="download.file.id"
              :href="download.file.mediaItemUrl"
              target="_blank"
              class="btn btn-primary btn-download mx-1 mx-sm-3 mx-lg-auto d-inline-table d-lg-table"
            >
              <img src="/img/icons/download.svg" alt="Download Icon" />{{ download.fileTitle }}
            </a>
          </div>
          <div
            class="col-12 col-md-8 col-lg-6 offset-lg-1 order-lg-1 mt-5 mt-lg-0"
          >
            <p v-if="projekt.dachzeile" class="dachzeile">
              {{ projekt.dachzeile }}
            </p>
            <h1>{{ title }}</h1>
            <div
              v-if="projekt.text"
              class="projekt-artikel"
              v-html="projekt.text"
            />
          </div>
        </div>
      </div>
    </section>
    <dynamic-content
      v-if="acfContent"
      :components="acfContent.repeater"
      :breadcrumbs="false"
    />
    <page-footer />
  </div>
</template>

<script>
import routeFoundation from '~/plugins/mixins/route-foundation.js';

export default {
  mixins: [routeFoundation('singleProjekt')],
}
</script>

<style lang="scss">
.page.projekte-slug {
  .dachzeile {
    margin-bottom: 1rem;
  }

  h1 {
    margin-bottom: 2.5rem;
  }

  .btn img {
    margin-right: 0.25rem;
  }

  .projekt-artikel {
    max-width: 550px;

    h2,
    h3 {
      font-family: $font-family-sans-serif;
      font-weight: 600;
      letter-spacing: 1px;
    }

    h2 {
      font-size: 1.5rem;
      margin-bottom: 1rem;
      text-transform: uppercase;
    }

    h3 {
      font-size: 1.25rem;
      margin-bottom: 1rem;
    }
  }

  .featured-image {
    margin-bottom: 1.5rem;

    @include media-breakpoint-up(lg) {
      margin-bottom: 3rem;
    }
  }

  .btn-download {
    text-decoration: none;
    margin-top: 1.5rem;
  }
}
</style>
